from django.db import models
from Dashboard.models import WidgetUser

class Announcement(models.Model):
    title = models.CharField(max_length=100)
    body = models.CharField(max_length=2000)
    author =  models.ForeignKey(WidgetUser, on_delete = models.PROTECT)
    pub_datetime = models.DateTimeField()

    def __str__(self):
        return self.title

class Reaction(models.Model):
    name_choices = (
        ('like','like'),
        ('love','love'),
        ('angry','angry'),
    )
    name = models.CharField(max_length=100, choices=name_choices)
    tally = models.IntegerField()
    announcement = models.ForeignKey(Announcement, on_delete = models.PROTECT)

    def __str__(self):
        return self.name


