from django.db import models

# Create your models here.
class Course(models.Model):
    code = models.CharField(max_length=10)
    title = models.CharField(max_length=100)
    section = models.CharField(max_length=3)

    def __str__(self):
        return '{}'.format(self.code)

class Assignment(models.Model):
    name = models.CharField(max_length=100)
    description = models.TextField()
    course = models.ForeignKey(
        Course,
        on_delete=models.PROTECT,
    )
    perfect_score = models.IntegerField()
    
    @property
    def passing_score(self):
        return int(self.perfect_score*0.60)