from django.db import models
from Dashboard.models import WidgetUser

class ForumPost(models.Model):
    title = models.CharField(max_length = 100)
    body = models.TextField()
    author = models.ForeignKey(WidgetUser, on_delete=models.PROTECT)
    pub_datetime = models.DateTimeField()

    def __str__(self):
        return self.title

class Reply(models.Model):
    body = models.TextField()
    author = models.ForeignKey(WidgetUser, on_delete=models.PROTECT)
    pub_datetime = models.DateTimeField()
    forum_post = models.ForeignKey(ForumPost, on_delete=models.CASCADE)

    def __str__(self):
        return self.body

